
export function deepCopy(v1, v2, ps) {
    for (let k in v2) {
        if (ps && typeof ps === 'object' && Array.isArray(ps)) {
            if (ps.indexOf(k) == -1) {
                continue
            }
        }
        let v = v2[k];
        if (typeof v === 'object') {
            if (!v1[k]) {
                v1[k] = Array.isArray(v) ? [] : {};
            }
            if (typeof v1[k] !== 'object') {
                continue
            }
            v1[k] = deepCopy(v1[k], v)
        } else {
            v1[k] = v
        }
    }
    return v1
}