import { defineStore } from 'pinia'

const useThemeStore = defineStore('theme', {
    state: () => {
        return {
            name: 'light',
            backgroundColor: '#F9FBFD',
            headerBackgroundColor: '#FFFFFF',
            sidebarBackgroundColor: '#152e4d',
            sidebarTextColor: '#a8b5c8',
            sidebarActiveTextColor: '#ffffff',
        }
    },
    getters: {},
    persist: true,
})

export default useThemeStore